
Redmine - Defect #34091

Issue page: long text field missing when switched to use full width

2020-10-09 11:18 - dominik pegler

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.1.1

Description

I have two long text fields (description and the other one is custom field) which are displayed correctly in 1 of my 3 projects. In the

other 2 projects they are missing unless I uncheck the option for using full width layout, then they would show up. They stay editable

in all situations. I checked already the tracker and visibility settings (visible for all users).

System information:

Environment:

Redmine version                4.1.1.stable

Ruby version                   2.6.6-p146 (2020-03-31) [x86_64-linux]

Rails version                  5.2.4.2

Environment                    production

Database adapter               PostgreSQL

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

SCM:

Subversion                     1.10.4

Mercurial                      4.8.2

Bazaar                         2.8.0

Git                            2.20.1

Filesystem

Redmine plugins:

issue_mail_with_attachments    0.9.0

mega_calendar                  1.7.3

redmine_ckeditor               1.2.3

redmine_custom_auto_complete   0.0.1

redmine_local_avatars          1.0.5.2.0

sidebar_hide                   0.0.8

History

#1 - 2020-10-09 11:41 - dominik pegler

Another thing I found out is that when this custom field is switched to use full width it is moved into this HTML-Div:

<div id="update" style="display:none;">

So, it's still there, but invisible.

#2 - 2020-10-09 12:43 - dominik pegler

It seems to be caused by this plugin: mega_calendar 1.7.3

Once I uninstall it, the long text full width fields are displayed again.

#3 - 2020-10-10 08:21 - Bernhard Rohloff

- Status changed from New to Closed

- Resolution set to Invalid

If it's a plugin issue, please contact the maintainer of the plugin.

I'll close it for now. Feel free to reopen it if you have further demand.

Nonetheless, thank you for reporting this issue.
